﻿using AntiForgeryHeader.Helper;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace AntiForgeryHeader.Controllers
{
	public class HomeController : Controller
	{
		public ActionResult Index()
		{
			return View();
		}

		public ActionResult About()
		{
			ViewBag.Message = "Your application description page.";

			return View();
		}

		public ActionResult Contact()
		{
			ViewBag.Message = "Your contact page.";

			return View();
		}
				
		//[ValidateAntiForgeryToken]
		public ActionResult StartTest()
		{			
			return View();
		}

		[ValidateAntiForgeryToken]
		public ActionResult SubmitTest(MyModel model)
		{
			if (model == null) model = new MyModel { Sender = "No one", Message = "Nothing" };
			ViewBag.Model = model;
			return View();
		}

		[ValidateAntiForgeryHeader]
		public JsonResult SendMessage(MyModel model)
		{
			MyModel m = new MyModel { Sender = "System", Message = "Thanks for your message " + model.Sender };
			return Json(m);
		}
	}

	public class MyModel
	{
		public string Sender { get; set; }
		public string Message { get; set; }
	}
}